/*******************************************************
 * Copyright:2016-2021 www.corvin.cn ROS小课堂
 * Description:操作imu模块的代码头文件.
 * Author: corvin
 * History:
 *   20210318:init this file.
 *   20210319:增加修改串口通信波特率的函数.
 *******************************************************/
#ifndef _IMU_DATA_H_
#define _IMU_DATA_H_

int initSerialPort(const char* path, const int baud);

int getImuData();
int closeSerialPort();

float getAccX();
float getAccY();
float getAccZ();

float getAngularX();
float getAngularY();
float getAngularZ();

float getAngleX();
float getAngleY();
float getAngleZ();

int makeYawZero(void);
int setIMUBaudRate(const int flag);
#endif
